require('event/dispatcher');

include("errorhandler.lua");
include("customeventhandler.lua");
include("keypressedhandler.lua");
include("event.lua");

characterName = "Bob";
function macro.init(script, ...)
	-- The scripts default event handlers would go here.
	EventDispatcher:bindHandler('error', ErrorHandler);
	EventDispatcher:bindHandler('keypressed', KeyPressedHandler);
	EventDispatcher:bindHandler('custom', CustomEventHandler);

	-- Pretend we have some sort of auto-load mechanism for addons
	include("myerrorhandler.lua");
end

function macro.main(dt)
	
	return true;
end

function macro.event(e, ...)
	EventDispatcher:handle(e, ...);
end