require('timestamp');
MyErrorHandler = class.new(ErrorHandler);

function MyErrorHandler:handle()
	MyErrorHandler.parent.handle(self);

	local file = io.open(string.lower(characterName) .. ".log", "a");
	assert(file);
	file:write(sprintf("The time of the error was %s\n", Timestamp:now():toHuman()));
	io.close();
end

EventDispatcher:bindHandler('error', MyErrorHandler);